Name: libIDL
Version: 0.8.0
Release: alt1.1

Summary: Library for parsing IDL (Interface Definition Language)
Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %name-%version.tar.bz2
Group: System/Libraries
License: LGPL

%define pkgconfig_ver 0.8
%define glib2_ver 2.0.1

# Automatically added by buildreq on Wed May 15 2002
BuildRequires: bison flex glib2-devel pkgconfig

BuildRequires: pkgconfig >= %pkgconfig_ver
BuildRequires: glib2-devel >= %glib2_ver

%description
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

%package devel
Summary: Development libraries and header files for libIDL
Group: Development/C
Requires: %name = %version-%release
Requires: pkgconfig >= %pkgconfig_ver
Requires: glib2-devel >= %glib2_ver

%description devel
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

This package contains the header files and libraries needed to write
or compile programs that use libIDL.

%package devel-static
Summary: Static libraries for libIDL
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

This package contains static libraries needed to compile statically
linked programs that use %name.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
%install_info %{name}2.info

%preun devel
%uninstall_info %{name}2.info

%files
%_libdir/lib*.so.*
%doc AUTHORS README NEWS

%files devel
%_bindir/*
%_includedir/*
%_libdir/lib*.so
%_libdir/lib*.la
%_libdir/pkgconfig/*
%_infodir/%{name}*

%files devel-static
%_libdir/*.a

%changelog
* Wed Oct 02 2002 Stanislav Ievlev <inger@altlinux.ru> 0.8.0-alt1.1
- rebuild to move to the files

* Fri Jun 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1
- 0.8.0 

* Wed May 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.4-alt1
- Adopted for Sisyphus. 
- devel-static package.

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- move include files to -devel
- other spec file tweaks

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 0.7.4

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- cvs snap 0.7.1.91

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- cvs snap, rebuild on new glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- glib 1.3.10

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- rebuild for new glib

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- initial build of standalone libIDL
- fix braindamage

